#!/bin/sh

echo "Extracting sensors"

for FILE in `find . -name "Install_*_Sensor.bin"`
  do
  # replace tar -xzf with gunzip -qc | tar -x to avoid "trailing garbage ignored" errors
  echo "Extracting $FILE"
  perl -pi -e 's/tar -xzvf/tar -xzf/' $FILE
  perl -pi -e 's/tar -xzf \%\(tmp\)s/gunzip -qc \%\(tmp\)s 2>&1 | tar -x/' $FILE
  # extract the sensors here
  $FILE --nomsg .
done

echo "Removing undesirable files" # CVS, po and .xvpics dir / *~ files

# sensors dir = all dirs not . and not named gfx
for DIR in `find . -type d -maxdepth 1 -name "*" -not -name gfx`
  do
  rm -fr `find $DIR -name "CVS" -o -name "po" -o -name ".xvpics" -o -name "*~" -o -name ".*~"`
done

echo "Sensors extracted"
